# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit rpm multilib

DESCRIPTION="Brother printer driver for HL-L3280CDW"

HOMEPAGE="http://support.brother.com"

SRC_URI="https://download.brother.com/welcome/dlf105746/hll3280cdwpdrv-3.5.1-1.i386.rpm"

LICENSE="brother-eula"

SLOT="0"

KEYWORDS="amd64"

IUSE=""

RESTRICT="mirror strip"

DEPEND="net-print/cups"
RDEPEND="${DEPEND}"

S=${WORKDIR}

src_unpack() {
	rpm_unpack ${A}
}

src_install() {
	has_multilib_profile && ABI=x86

	dosbin "${WORKDIR}/opt/brother/Printers/hll3280cdw/lpd/x86_64/brprintconf_hll3280cdw"
	dobin "${WORKDIR}/opt/brother/Printers/hll3280cdw/lpd/x86_64/brprintconf_hll3280cdw"

	cp -r opt "${D}" || die

	mkdir -p "${D}/usr/libexec/cups/filter" || die
	( cd "${D}/usr/libexec/cups/filter/" && ln -s ../../../../opt/brother/Printers/hll3280cdw/lpd/filter_hll3280cdw brother_lpdwrapper_hll3280cdw ) || die
	( cd "${D}/usr/libexec/cups/filter/" && sed -i 's/my $PRINTER = $0/my $PRINTER = Cwd::realpath ($0)/' ../../../../opt/brother/Printers/hll3280cdw/lpd/filter_hll3280cdw ) || die

	mkdir -p "${D}/usr/share/cups/model" || die
	( cd "${D}/usr/share/cups/model" && ln -s ../../../../opt/brother/Printers/hll3280cdw/cupswrapper/brother_hll3280cdw_printer_en.ppd ) || die

	( cd "${D}/opt/brother/Printers/hll3280cdw/lpd" && ln -s x86_64/brhll3280cdwfilter brhll3280cdwfilter) || die
}
